/*
 * Copyright (c) 2001, 2002 The XDoclet team
 * All rights reserved.
 */
package test.hibernate;

/**
 * Base Reference Value Sample
 *
 * @author                    sguimont
 * @created                   06 December 2002
 * @hibernate.class           table="TB_REF_VALUE"
 * @hibernate.discriminator   column="TYPE"
 */
public class BaseReferenceValue
{
    //~ Instance variables 

    private String  code;
    private String  description;

    /**
     * Returns the code.
     *
     * @return         String
     * @hibernate.id   column="CD" length="5" generator-class="assigned"
     */
    public String getCode()
    {
        return code;
    }

    /**
     * Returns the description.
     *
     * @return               String
     * @hibernate.property   column="DESCRIPTION"
     */
    public String getDescription()
    {
        return description;
    }

    //~ Methods 

    /**
     * Sets the code.
     *
     * @param code  The code to set
     */
    public void setCode(String code)
    {
        this.code = code;
    }

    /**
     * Sets the description.
     *
     * @param description  The description to set
     */
    public void setDescription(String description)
    {
        this.description = description;
    }
}
