/*
 * Copyright (c) 2002 The XDoclet team
 * All rights reserved.
 */
package test.jdo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @jdo.persistence-capable
 *
 * @author  <a href="mailto:youremail@yourdomain.com">youremail@yourdomain.com</a>
 */
public class Super {
    /**
     * @jdo.field
     *     default-fetch-group="true"
     *     null-value="exception"
     */
    private int superInt;

    /**
     * @jdo.field
     *     default-fetch-group="true"
     * @tjdo.field column-length="200"
     */
    private String superString;

    /**
     * @jdo.field
     *     collection-type="collection"
     *     embedded-element="false"
     *     element-type="test.jdo.SuperChild"
     *     default-fetch-group="true"
     * @tjdo.field
     *     owner-field="tjdoOwner"
     */
    private List superList = new ArrayList();

    /**
     * @jdo.field
     *     collection-type="map"
     *     default-fetch-group="true"
     *     key-type="test.jdo.MapKey"
     *     embedded-key="true"
     *     value-type="test.jdo.MapValue"
     *     embedded-value="false"
     * @tjdo.field
     *     owner-field="tjdoOwner"
     *     key-field="tjdoKey"
     */
    private Map superMap = new HashMap();

    /**
     * @jdo.field
     *     collection-type="array"
     *     default-fetch-group="true"
     *     element-type="test.jdo.SuperChild"
     *     embedded="false"
     *     embedded-element="true"
     */
    private SuperChild[] superChildren = new SuperChild[10];
}
